#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

check_row = function(input, x) {
    input_col = input[[x]]
	y = getOption("floodam.cba.sa")[[sprintf("%s_row", x)]]
	if(is.null(y)) return()

    input_row = input[[y]]
    selection = ! (
        colnames(input_row) %in%
            getOption("floodam.cba.sa")[[sprintf("%s_col", y)]]
    )
    input_row = input_row[selection]
	
	row_missing = colnames(input_row)[
        !(colnames(input_row) %in% rownames(input_col))
    ]
	col_missing = rownames(input_col)[
        !(rownames(input_col) %in% colnames(input_row))
    ]
	if (length(col_missing) > 0 | length(row_missing) > 0) {
		msg = sprintf(
            "Pb de compatibilite entre les fichiers '%s' et '%s' dans '%s':",
			x, y, input[["path_input"]]
        )
		if (length(col_missing) > 0) {
			msg = paste(
                msg,
				sprintf(
                    "\t- ligne(s) %s dans %s mais pas dans les colonnes de %s",
				    paste(col_missing, collapse = ", "), x, y
                ),
                sep = "\n"
            )
		}
		if (length(row_missing) > 0) {
			msg = paste(
                msg,
				sprintf(
                    "\t- colonne(s) %s dans %s mais pas dans les lignes de %s",
				    paste(row_missing, collapse = ", "), y, x
                ),
                sep = "\n"
            )
		}
		write(msg, file = input[["path_log"]], append = TRUE)
		stop(msg, call. = FALSE)
	}
}
