#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

make_xtable = function(input) {
    if (getOption("floodam.cba.sa")["latex"] != TRUE) return(invisible())

	xcost = xtable::xtable(
        input[["cost"]], 
		caption = paste("Co\u00FBts (", input[["case"]], ")", sep = ""), 
		label = paste("Tab:Cout", input[["case"]], sep = "_"), 
		align = "lrrrl"
    )

	ximpact = xtable::xtable(
        input[["impact"]], 
		caption = paste("Impacts (", input[["case"]], ")", sep = ""), 
		label = paste("Tab:Impact", input[["case"]], sep = "_"), 
		align = paste(c("l", rep("r", length(input[["impact"]])-1), "l"), collapse="")
    )

	xflood1 = xtable::xtable(
        input[["flood"]][1:4], 
		caption = paste("Sc\u00E9narios de crue (", input[["case"]], ")", sep = ""), 
		label = paste("Tab:Inondation", input[["case"]], sep = "_"), 
		align = "lrrrl"
    )

	xflood2 = xtable::xtable(
        input[["flood"]][5:8], 
		caption = paste("Sc\u00E9narios de crue (", input[["case"]], ")", sep = ""), 
		label = paste("Tab:Inondation", input[["case"]], sep = "_"), 
		align = "lrrrl"
    )
		
	xtable::print.xtable(
        xcost,
        format.args = list(decimal.mark = ","),
        booktabs = TRUE,
		file = file.path(input[["path_output"]], "cost.tex")
    )

	xtable::print.xtable(
        ximpact,
        format.args = list(decimal.mark = ","),
        booktabs = TRUE,
		file = file.path(input[["path_output"]], "impact.tex")
    )
		
	xtable::print.xtable(
        xflood1,
        format.args = list(decimal.mark = ","),
        booktabs = TRUE,
		file = file.path(input[["path_output"]], "flood1.tex")
    )

	xtable::print.xtable(
        xflood2,,
        format.args = list(decimal.mark = ","),
        booktabs = TRUE,
		file = file.path(input[["path_output"]], "flood2.tex")
    )

	write(
        c(
            scan(
                file.path(input[["path_output"]], "flood1.tex"),
                what = "character", 
                sep = "\n",
                nmax = nrow(input[["flood"]]) + 8,
                quiet = TRUE
            ),
            scan(
                file.path(input[["path_output"]], "flood2.tex"),
                what = "character", 
                sep = "\n",
                skip = 5,
                quiet = TRUE
            )
        ),
        file.path(input[["path_output"]], "flood.tex")
    )
		
	unlink(file.path(input[["path_output"]], c("flood1.tex", "flood2.tex")))
}
