#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

prop_negative = function(x, y, breaks) {
	fun = function(x) {sum(x <= 0) / length(x)}
	gun = function(x, breaks) {
		vec = seq(min(x), max(x), length.out = breaks + 1)
		findInterval(x, vec, all.inside = TRUE)
	}
	hun = function(x, breaks) {
		r = max(x) - min(x)
		n = if(r < 5) 2 else if(r < 50) 1 else 0
		round(seq(min(x), max(x), length.out = breaks), n)
	}
	
	if(is.vector(x)) x = list(v = x)
	i = lapply(x, gun, breaks = breaks)
	l = lapply(x, hun, breaks = breaks)
	
	array(
        stats::aggregate(y, i, fun)[["x"]],
        dim = rep(breaks, length(l)),
		dimnames = l
    )
}
