#' Show time elapsed to call a function
#' 
#' @param fun function which is called.
#' @param ... parameters for the call
#' 
#' @return Result from the call of `fun(...)`.
#' 
#' @export
#'  
#' @encoding UTF-8
#' @author Frédéric Grelot, \email{frederic.grelot.1994_cran@m4x.org} 

time_elapsed = function(fun, ...) {
	message("Evaluating ", match.call()[["fun"]], "... ", appendLF = FALSE)
	begin = Sys.time()
    # capture.output is needed because of the use of print in boot.ci
	utils::capture.output(r <- fun(...))
	message("elapsed time: ", format(round(Sys.time() - begin, 3)))
	return(invisible(r))
}
