#' @title floodam.cba.sa
#' @description
#' Perform uncertainty analysis and sensitivity analyis of Net Present
#' Value (NPV) indicator of Cost-Benefit Analysis applied to flood management.
#' @author Frédéric Grelot <frederic.grelot@inrae.fr>
#' @name floodam.cba.sa
"_PACKAGE"

.onLoad = function(libname, pkgname){
    options(
        floodam.cba.sa = list(
            data = c("calendar", "cost", "flood", "impact"),
            calendar_col = "benefit",
            cost_col = c("nominal", "min", "max", "type"),
            flood_col = c(
                sprintf("period_%s", c("nominal", "min", "max", "type")),
                sprintf("hydraulic_%s", c("nominal", "min", "max", "type"))
            ),
            impact_col = c("min", "max", "type"),
            cost_row = "calendar",
            flood_row = "impact",
            type_input = "csv2",
            check = TRUE,
            latex = TRUE,
            rate = "constant",
            skip = FALSE,
            zip = TRUE,
            verbose = TRUE
        )
    )
    invisible()
}