# floodam.cba.sa <img src="man/figures/logo.png" align="right" width="25%" height="25%"/>

## Welcome to **floodam.cba.sa**

**floodam.cba.sa** is an R library for performing uncertainty analysis and
sensitivity analysis of indicators for cost-benefit analysis (CBA) applied to
flood management policies.

This library has been developed within the French working group "GT AMC" which
aims at developing methodologies for the economic appraisal of flood management
policies.
In this context, the development of **floodam.cba.sa** has received the support
of the French Ministry in charge of the Environment.

**floodam.cba.sa** originates from a collection of scripts in the
[CBA-DE-AS-2017-09-30.zip](http://www.floodam.org/library/CBA-DE-AS-2017-09-30.zip)
archive. This archive has been distributed on demand since its creation in 2017.
It is available on this site, but it is not recommended to use it from now on.
It will not be maintained. If you have any questions about it, please do not use
it and use **floodam.cba.sa** instead.

## What **floodam.cba.sa** can do

**floodam.cba.sa** is based on :

- a synthetic description of a key parameters of a project to be appraised
through CBA
- a synthetic description of a uncertainty of those key parameters

The key parameters for appraisal used are:

- discount rate
- calendar of realization of the projects and its implication on expected
benefits
- costs, i.e. total investment cost and yearly maintenance cost
- benefit ar computed through expected impacts on different stakes and different
flood scenarios
- flood scenarios are characterized thourgh their return period

The key parameters included in the uncertinaty are:

- costs, both investment and maintenance
- return periods of all flood scenarios
- expected efficacity of the projet for each flood scenarios (independently of
stakes)
- expected quality of damage estimations for each stakes (independently of
flood scenarios)

From this information, **floodam.cba.sa** calculates the following
indicators:

- uncertainty of expected benefit of the project and its net present value (NPV)
- first-order and total Sobol indices of the parameters.

## What **floodam.cba.sa** cannot do

To be precised.

## How to get **floodam.cba.sa** ?

You can download and install it from this archive:
[www.floodam.org/library/floodam.cba.sa_1.0.0.0.tar.gz](http://www.floodam.org/library/floodam.cba.sa_1.0.0.0.tar.gz).

For instance, from a terminal, the command you can use is:

```{.bash filename="terminal"} 
R -e "install.packages(
    pkgs = 'http://www.floodam.org/library/floodam.cba.sa_1.0.0.0.tar.gz',
    type = 'source',
    repos = NULL,
    dependencies = TRUE)"
```

## How to help for the development of **floodam.cba.sa**

Contact us.
