## ----include = FALSE----------------------------------------------------------
knitr::opts_chunk[["set"]](
  collapse = TRUE,
  comment = "#>"
)

## ----setup--------------------------------------------------------------------
library(floodam.cba.sa)

## -----------------------------------------------------------------------------
path_input = system.file("extdata", package = "floodam.cba.sa")
case = "test"
input_csv = load_data(case, path_input)

## -----------------------------------------------------------------------------
path_input = system.file("extdata", package = "floodam.cba.sa")
case = "test"
input_ods = load_data(case, path_input, type_input = "ods")
input_xlsx = load_data(case, path_input, type_input = "xlsx")

## -----------------------------------------------------------------------------
knitr::kable(
    input_csv[["calendar"]],
    caption = "Le calendrier pour le cas test"
)

## -----------------------------------------------------------------------------
knitr::kable(
    input_csv[["cost"]],
    caption = "Les données sur les coûts pour le cas test"
)

## -----------------------------------------------------------------------------
knitr::kable(
    input_csv[["flood"]],
    caption = "Les données sur les scénarios d'inondation pour le cas test"
)

## -----------------------------------------------------------------------------
knitr::kable(
    input_csv[["impact"]],
    caption = "Les données d'impact pour le cas test"
)

