## ----include = FALSE----------------------------------------------------------
knitr::opts_chunk[["set"]](
  collapse = TRUE,
  comment = "#>"
)

## ----setup--------------------------------------------------------------------
library(floodam.cba.sa)

## -----------------------------------------------------------------------------
path_input = system.file("extdata", package = "floodam.cba.sa")
input = load_data(case = "test", path_input = path_input)

## -----------------------------------------------------------------------------
nominal = calculate_nominal(input)

## -----------------------------------------------------------------------------
analysis = analyze_uncertainty(input)

## -----------------------------------------------------------------------------
plot_uncertainty(input, analysis)

## -----------------------------------------------------------------------------
plot_sobol(input, analysis)

## -----------------------------------------------------------------------------
plot_sobol(input, analysis, "T")

