% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/analyze_graphic.R
\encoding{UTF-8}
\name{analyze_graphic}
\alias{analyze_graphic}
\title{Plot different analysis}
\usage{
analyze_graphic(
  input,
  analysis,
  uncertainty = TRUE,
  sensitivity = TRUE,
  exploration = FALSE,
  device = "pdf"
)
}
\arguments{
\item{input}{list of input data.}

\item{analysis}{list of results from \code{analyse_uncertainty}.}

\item{uncertainty}{logical, should uncertainty graph be plotted.}

\item{sensitivity}{logical, should sobol graph be plotted.}

\item{exploration}{logical, should exploration graph be plotted.}

\item{device}{character, define how the graphics are saved.}
}
\value{
Nothing.
}
\description{
Plot different analysis
}
\details{
\code{analyse_graphics()} consists in a call to \code{plot_uncertainty()},
\code{plot_sobol()}, and \code{plot_explore()} in a more less systematic way. All the
calls are made with a \code{device} fixed to the same value, which allows to
easily save graphicals outputs either in pdf or png.
\itemize{
\item for \code{plot_uncertainty()}, views \code{npv} and \code{benefit} are plotted
\item for \code{plot_sobol()}, views \code{S} (first-order Sobol indices), and \code{T}(total
order Sobol indices) are plotted
\item for \code{plot_explore()}, views \code{S} (first-order Sobol indices), and \code{T}(total
order Sobol indices) are plotted
}
}
\author{
Frédéric Grelot, \email{frederic.grelot.1994_cran@m4x.org}
}
