% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/analyze_uncertainty.R
\encoding{UTF-8}
\name{analyze_uncertainty}
\alias{analyze_uncertainty}
\title{Perfom uncerrtainty and sensitivity analysis.}
\usage{
analyze_uncertainty(
  input,
  sobol_analysis = c("sobolmartinez", "sobol2002", "sobolSalt", "sobol2007",
    "soboljansen", "soboltouati"),
  verbose = getOption("floodam.cba.sa")[["verbose"]]
)
}
\arguments{
\item{input}{list of data.frame, inputs needed to perform analysis.}

\item{sobol_analysis}{character, method used to perform sensitivity analysis.}

\item{verbose}{logical, should the function be verbose.}
}
\value{
List with two slots. The first slot named "u_a" contains a
data.frame of uncertainty analysis, the second slot named "s_a" contains the
result of the sensitivity analyis.
}
\description{
Perfom uncerrtainty and sensitivity analysis.
}
\details{
\code{analyze_uncertainty()} performs uncertainty analysis and sensitivity
analysis. It takes informations from input to first draw to set of values for
each parameters.

Those two sets are combined in one to create a set uncertainty indicators
using \code{model_npv()}.

Sobol analysis is performed by using a function from \code{sensitivity} library.
Default method is \code{sobolmartinez}, but this can be changed with the parameter
sobol_analysis of the function. Basically, the two sets of values are used
by the function chosen.

From the sensitivity function only the value for first and total indices,
and the normalized variances of the Conditional Expectations are kept.

Those results and graphical analysis are saved.
}
\author{
Frédéric Grelot, \email{frederic.grelot.1994_cran@m4x.org}
}
