% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/calculate_weight.R
\encoding{UTF-8}
\name{calculate_weight}
\alias{calculate_weight}
\title{Calculate weight of flood scenario according to their return period.}
\usage{
calculate_weight(x, type = c("period", "frequency"))
}
\arguments{
\item{x}{numeric, values of return period of frequency for flood scenarios.}

\item{type}{character,}
}
\value{
numeric, values of weight for flood scenarios
}
\description{
\code{calculate_weight()} calculates the weight that will be used to estimate
expected annual damages, depending on either return period or frequency
of lood scenarios.

\code{calculate_weight()} can do this for flood scenarios in any order. This has
more interest if x is a named vector.
}
\examples{

x = c(1, 5, 10, 100, 1000)
calculate_weight(x)
calculate_weight(1/x, "frequency")

names(x) = c("deb", "frequent", "medium", "rare", "extreme")
x = rev(c(x, inf = +Inf))
calculate_weight(x)
calculate_weight(1/x, "frequency")

# When the range of flood scenarios goes from 1 to +Inf weights sum to 1
sum(calculate_weight(x))

x = sample(x, 6)
calculate_weight(x)

}
\author{
Frédéric Grelot, \email{frederic.grelot.1994_cran@m4x.org}
}
