test_that("Test data for test",
    {
        expect_no_error(
            calendar <- read.csv2(
                system.file(
                    "extdata/test",
                    "calendar.csv",
                    package = "floodam.cba.sa"
                ),
                row.names = 1
            )
        )
        row.names(calendar) = row.names(calendar)
        expect_s3_class(calendar, "data.frame")

        expect_no_error(
            cost <- read.csv2(
                system.file(
                    "extdata/test",
                    "cost.csv",
                    package = "floodam.cba.sa"
                ),
                row.names = 1
            )
        )
        row.names(cost) = row.names(cost)
        expect_s3_class(cost, "data.frame")

        expect_no_error(
            flood <- read.csv2(
                system.file(
                    "extdata/test",
                    "flood.csv",
                    package = "floodam.cba.sa"
                ),
                row.names = 1
            )
        )
        row.names(flood) = row.names(flood)
        expect_s3_class(flood, "data.frame")
        
        expect_no_error(
            impact <- read.csv2(
                system.file(
                    "extdata/test",
                    "impact.csv",
                    package = "floodam.cba.sa"
                ),
                row.names = 1
            )
        )
        row.names(impact) = row.names(impact)
        expect_s3_class(impact, "data.frame")

        expect_no_error(
            input <- load_data(
                case = "test",
                path_input = system.file("extdata", package = "floodam.cba.sa"),
                verbose = FALSE
            )
        )
        expect_identical(calendar, input[["calendar"]])
        expect_identical(cost, input[["cost"]])
        expect_identical(flood, input[["flood"]])
        expect_identical(impact, input[["impact"]])

        expect_no_error(
            input <- load_data(
                case = "test",
                path_input = system.file("extdata", package = "floodam.cba.sa"),
                type_input = "ods",
                verbose = FALSE
            )
        )
        expect_equal(calendar, input[["calendar"]])
        expect_equal(cost, input[["cost"]])
        expect_equal(flood, input[["flood"]])
        expect_equal(impact, input[["impact"]])

        expect_no_error(
            input <- load_data(
                case = "test",
                path_input = system.file("extdata", package = "floodam.cba.sa"),
                type_input = "xlsx",
                verbose = FALSE
            )
        )
        expect_equal(calendar, input[["calendar"]])
        expect_equal(cost, input[["cost"]])
        expect_equal(flood, input[["flood"]])
        expect_equal(impact, input[["impact"]])
    }
)

